/** @type {import('eslint').Linter.Config} */
const config = [
  {
    ignores: ["dist/", ".gitignore"],
    files: ["*.js"],
    languageOptions: {
      parserOptions: {
        ecmaVersion: "latest",
        sourceType: "module",
      },
      globals: {
        window: "readonly",
        document: "readonly",
      },
    },
    rules: {
      "no-console": "warn",
      "no-unused-vars": "warn",
    },
  },
];

export default config;
